# Uses of Class
javafx.scene.media.MediaException

Packages that use MediaException
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of MediaException in javafx.scene.media

Methods in javafx.scene.media that return MediaException
Modifier and Type
Method
Description
`final MediaException`
Media.`getError()`
Return any error encountered in the media.
`final MediaException`
MediaPlayer.`getError()`
Retrieve the value of the `error` property or `null` if there is no error.
`MediaException`
MediaErrorEvent.`getMediaError()`
Retrieve the error associated with this event.
Methods in javafx.scene.media that return types with arguments of type MediaException
Modifier and Type
Method
Description
`ReadOnlyObjectProperty<MediaException>`
Media.`errorProperty()`
A property set to a MediaException value when an error occurs.
`ReadOnlyObjectProperty<MediaException>`
MediaPlayer.`errorProperty()`
Observable property set to a `MediaException` if an error occurs.